/** Licensed Materials - Property of IBM, 5724-E76 and 5724-E77, (C) Copyright IBM Corp. 2009 - All Rights reserved.  **/

if(!dojo._hasResource["com.ibm.data.resolver.strategy.UpdateStrategy"]){ //_hasResource checks added by build. Do not use _hasResource directly in your code.
dojo._hasResource["com.ibm.data.resolver.strategy.UpdateStrategy"] = true;
/*
 * @author Ben
 */
dojo.provide("com.ibm.data.resolver.strategy.UpdateStrategy");


dojo.require("com.ibm.data.resolver.strategy.PocHandlerStrategy");

dojo.declare("com.ibm.data.resolver.strategy.UpdateStrategy",
	com.ibm.data.resolver.strategy.PocHandlerStrategy,
	{
		// summary: Provides boilerplate strategy for wrapping setValue and setValues calls in 
		// 		POC handlers in order to provide plugins for special logic associated with 
		// 		updates to item data.
		
		extensions: ["setValue", "setValues"],
		
		extensionsMap: {
			"setValue": "_setValue",
			"setValues": "_setValue"
		},
				
		_setValue: function(item, attribute, value) {
			return this.proceed(arguments);
		}
	}
);

}
