@echo off
REM ***************************************************************
REM  Licensed Material - Property of IBM
REM 
REM  5724-M24 
REM 
REM  (c) Copyright IBM Corp. 2009.  All rights reserved.
REM 
REM  US Government Users Restricted Rights - Use, duplication or
REM  disclosure restricted by GSA ADP Schedule Contract with IBM Corp.
REM ***************************************************************
chcp 1252
rem ----- Save Environment Variables That May Change ------------------------
set _CLASSPATH=%CLASSPATH%
set _JAVA_HOME=%JAVA_HOME%

rem ----- Verify and Set Required Environment Variables ---------------------
set JAVA_HOME=[washome]\java
set AAS_HOME=[washome]\Alphablox
set AAS_LIB=%AAS_HOME%\lib
set _RUNJAVA= "%JAVA_HOME%\bin\java"

rem ----- Set Up The Runtime Classpath --------------------------------------
set CLASSPATH=%AAS_LIB%\aasreputil.jar
set CLASSPATH=%CLASSPATH%;%AAS_LIB%\aasserver.jar
set CLASSPATH=%CLASSPATH%;%AAS_LIB%\xml-apis.jar
set CLASSPATH=%CLASSPATH%;%AAS_LIB%\xalan.jar
set CLASSPATH=%CLASSPATH%;%AAS_LIB%\xercesImpl.jar

rem ----- Execute The Requested Command -------------------------------------
:startConvert
echo Starting IBM Alphablox Native Converting utility for supporting multiple locales
%_RUNJAVA% -cp "%CLASSPATH%" com.alphablox.util.convert.NativeConverter %1 %2 %3 %4 %5 %6
goto cleanup

rem ----- Restore Environment Variables ---------------------------------------

:cleanup
set _RUNJAVA=

set CLASSPATH=%_CLASSPATH%
set JAVA_HOME=%_JAVA_HOME%
set _JAVA_HOME=
set _CLASSPATH=
set AAS_LIB=
set _RUNJAVA=
chcp 437
:finish

pause






