#! /bin/sh
#  Licensed Materials - Property of IBM
#  5724-M24
#  (C) Copyright IBM Corporation 2009. All Rights Reserved.
#  US Government Users Restricted Rights- Use, duplication or disclosure
#  restricted by GSA ADP Schedule Contract with IBM Corp.
#
# Shell script to start conversion utility

# ----- Save Environment Variables That May Change ----------------------------
_CLASSPATH=${CLASSPATH}
_JAVA_HOME=${JAVA_HOME}

JAVA_HOME="[washome]/java"
AAS_HOME="[washome]/Alphablox"

AAS_LIB="${AAS_HOME}/lib"
JAVA_CMD="${JAVA_HOME}/bin/java"

# ---- Set Up the classpath
CLASSPATH=${AAS_LIB}/aasreputil.jar
CLASSPATH=${CLASSPATH}:${AAS_LIB}/aasserver.jar
CLASSPATH=${CLASSPATH}:${AAS_LIB}/xml-apis.jar
CLASSPATH=${CLASSPATH}:${AAS_LIB}/xalan.jar
CLASSPATH=${CLASSPATH}:${AAS_LIB}/xercesImpl.jar


# ----- Execute the Requested Command -----------------------------------------
    echo Starting IBM Alphablox Native Converting utility for supporting multiple locales
    ${JAVA_CMD} -cp ${CLASSPATH} com.alphablox.util.convert.NativeConverter "$@"

# ----- Cleanup and restore original environment variable  --------------------
CLASSPATH=${_CLASSPATH}
JAVA_HOME=${_JAVA_HOME}
export JAVA_HOME
export CLASSPATH

unset _JAVA_HOME
unset _CLASSPATH
unset JAVA_CMD
unset AAS_LIB
