<%@ page contentType="text/html; charset=UTF-8" %>
<%
//    String error = request.getParameter("error");
//    String details = request.getParameter("details");
//    System.out.println("details = " + details);
%>

<html>
<head>
    <title>Comments Admin Error</title>
    <link href="styles.css" rel="stylesheet">
    <style>
    .detailDiv {
        height:100%;
        width:100%;
        border:thin inset;
        background-color:white;
        text-align: left;
        overflow:auto;
    }
    </style>
    <script>
    function showError() {
        document.getElementById("errorDiv").innerHTML = "Comments Admin Error: "
            + window.opener.errorMessage;
        document.getElementById("closeButton").focus();
    }

    var detailString = window.opener.detailedErrorMessage;
    var isHidden = true;
    var hiddenHeight = null;
    var visibleHeight = null;

    function showDetails() {
        var detailHtml;
        var buttonText;
        var detailsDiv = document.getElementById("detailsDiv");

        if (isHidden) {
            hiddenHeight = document.body.clientHeight;
            if (visibleHeight == null)
                visibleHeight = hiddenHeight + 75;

            window.resizeBy(0, +(visibleHeight - hiddenHeight));

            detailHtml = detailString;
            buttonText = "Hide Details <<<";

            detailsDiv.innerHTML = detailHtml;
            detailsDiv.style.display = "";
        } else {
            visibleHeight = document.body.clientHeight;
            window.resizeBy(0, -(visibleHeight - hiddenHeight));

            detailHtml = "";
            buttonText = "Show Details >>>";

            detailsDiv.innerHTML = detailHtml;
            detailsDiv.style.display = "none";
        }

        var button = document.getElementById("detailButton");
        button.value = buttonText;

        isHidden = !isHidden;
    }
    </script>
</head>

<body onload="showError();" class="errorPage">
    <div style="height:100%;width:100%;">
        <table height="100%" width="100%">
            <tr height="1">
                <td id="errorDiv" valign="top" style="font: bold 88%;">
                </td>

                <td valign="top" align="right" nowrap>
                    <input type="button" id="detailButton" onclick="showDetails();" value="Show Details >>>" tabindex="2" />
                    <input type="button" id="closeButton" onclick="window.close();" value="Close" tabindex="1" />
                </td>
            </tr>
            <tr>
                <td colspan="2">
                    <div id="detailsDiv" tabIndex="1" class="detailDiv" style="position:absolute;display:none;border: solid 1px blue;">
                    </div>
                </td>
            </tr>
        </table>
    </div>
</body>
</html>
