<%@ page contentType="text/html; charset=UTF-8" %>
<%@ page import="java.io.File,
                 java.io.FileFilter,
                 java.io.PrintStream,
                 java.io.ByteArrayOutputStream,
                 java.io.FileNotFoundException,
                 com.alphablox.blox.uimodel.BloxModel,
                 com.alphablox.blox.uimodel.core.*,
                 com.alphablox.blox.uimodel.core.event.*,
                 com.alphablox.blox.uimodel.core.tree.Tree,
                 com.alphablox.blox.uimodel.core.tree.TreeNode,
                 com.alphablox.blox.uimodel.internal.ModelUtils,
                 com.alphablox.blox.uimodel.core.event.SelectionChangedEvent,
                 com.alphablox.blox.uimodel.core.event.ModelEvent,
                 com.alphablox.render.RenderManager,
                 com.alphablox.render.Theme,
                 com.alphablox.server.Server,
                 com.alphablox.util.Message,
                 com.alphablox.util.theme.PortalTheme,
                 java.util.Locale,
                 java.util.ArrayList,
                 java.util.Iterator,
                 com.alphablox.util.theme.ThemeDialog"%>

<%@ taglib uri="bloxtld" prefix='blox'%>

 <blox:container visible="true" id="themeContainer" width="100%" height="100%">
 <%
    try {
        BloxModel model = themeContainer.getBloxModel();
        model.add( new ThemeDialog( pageContext, request ) );
    }
    catch (Exception e) {

        String TITLE = "Portal Theme Dialog";

        new Message(Message.ERROR, TITLE, e).send();

        // This is to avoid the infamous and erroneous "Session Timeout" error.
        throw e;

    }
 %>
 </blox:container>
