<%@ page import="com.alphablox.blox.DataBlox,
				 com.alphablox.blox.ViewBlox,
				 com.alphablox.blox.GridBlox,
				 com.alphablox.blox.BloxContext,
				 com.alphablox.blox.BloxContextFactory,
				 com.alphablox.blox.DataViewBlox,
				 com.alphablox.blox.uimodel.ModelConstants,
                 com.alphablox.server.service.BloxBuilderService,
                 com.alphablox.server.service.ServiceManager,
                 com.ibm.alphablox.bloxbuilder.common.proxy.BloxProxy,
                 com.ibm.alphablox.bloxbuilder.common.proxy.GridBloxProxy,
                 com.ibm.alphablox.tooling.querytools.QueryDesignerBean,
                 com.ibm.alphablox.bloxbuilder.tooling.querytools.QueryToolsBlox"%>


<!--
    IBM Confidential
    OCO Source Materials
    5724-L14
    (c) Copyright IBM Corp. 2007
    The source code for this program is not published or otherwise divested of its trade secrets,
    irrespective of what has been deposited with the U.S. Copyright Office.
-->

<%@ page pageEncoding="ISO-8859-1" %> <!-- encoding this page was written in -->
<%@ page contentType="text/html;charset=UTF-8" %>  <!-- encoding for response -->
<%@ taglib uri='bloxtld' prefix='blox'%>

<%
    final String bloxWidth = "100%";
    final String bloxHeight = "90%";

    request.setCharacterEncoding("UTF-8");  // encoding for request

    final BloxBuilderService manager = (BloxBuilderService)ServiceManager.getService(ServiceManager.SVC_BLOXBUILDER, null);
%>

<jsp:useBean id="appContext" class="com.ibm.alphablox.tooling.AppContext" scope="session">
<%
	appContext.init(pageContext);
%>
</jsp:useBean>

<%@page import="com.alphablox.blox.BloxContextFactory;"%>

<html>
<head>
	<meta http-equiv="Pragma" content="no-cache">
    <title>Query Tools: Preview Query</title>
    <blox:header />
</head>
<body>

<%!String idPrefix = "querytools";%>
<%
 	DataBlox queryToolsDataBlox = new DataBlox();
%>

<%
    final String uniqueId = request.getParameter("ObjectId");
    final QueryToolsBlox qtBlox = (QueryToolsBlox)manager.getTempData(uniqueId);
    final BloxProxy proxy = qtBlox.getBloxProxy();
    final BloxContext context = BloxContextFactory.getBloxContext(request, response);

    ViewBlox queryTestGridBlox, defaultBlox;
    BloxProxy defaultProxy;

    try {
        queryTestGridBlox = new GridBlox();

        defaultBlox = new GridBlox();
        defaultProxy = new GridBloxProxy();

        // get the default properties into a default proxy
        defaultBlox.init(context, idPrefix + System.currentTimeMillis());
        defaultProxy.setBlox(defaultBlox);
        qtBlox.setDefaultBloxProxy(defaultProxy);
        
		//set properties of the query into the datablox
		queryToolsDataBlox.init(context,idPrefix +"d"+ System.currentTimeMillis());
		proxy.setBlox(queryToolsDataBlox);
		queryToolsDataBlox.connect(false);
    }catch (Throwable t) {
        %><h3>Error: <%= t.getClass().getName() %>: <%= t.getLocalizedMessage() %></h3><%
        t.printStackTrace();
        return;
    }
%>
<jsp:useBean id="queryToolsBean" class="com.ibm.alphablox.tooling.querytools.QueryDesignerBean"  scope="session" >
<%
    queryToolsBean.init(request, response, appContext);
%>
</jsp:useBean>
<%=appContext.getString("QUERY_PREVIEW_LABEL")%>
<br>
<%
		//queryToolsDataBlox.connect();
	try{
		queryToolsDataBlox.setConnectOnStartup(false);
		
		queryToolsBean.setDataBlox(queryToolsDataBlox);
		//griblox init
        queryTestGridBlox.init(context, idPrefix+ "g" + System.currentTimeMillis());
        ((DataViewBlox)queryTestGridBlox).setDataBlox(queryToolsDataBlox);
        
        final String[] removedButtons = new String[]{ModelConstants.FILE_EXPORT_TO_EXCEL,
                                                     ModelConstants.FILE_EXPORT_TO_PDF,
                                                     ModelConstants.FILE_MENU};
        queryTestGridBlox.getBloxModel().removeNamedActions(removedButtons);
        
        queryTestGridBlox.render(bloxRequest, out, null, bloxWidth, bloxHeight);
        
        queryToolsBean.setMDispatcher(queryTestGridBlox.getBloxModel().getDispatcher());
		queryToolsBean.connect(true);
    }
    catch (Throwable t) {
        %><h3>Error: <%= t.getClass().getName() %>: <%= t.getLocalizedMessage() %></h3><%
        t.printStackTrace();
        return;
    }

%>
</body>
</html>


