<%@ page contentType="text/html; charset=UTF-8" %>

<%@ taglib uri="bloxtld" prefix="blox" %>

<html>

<head>
	<title>Asymmetric Report - Events Limiting Interactions</title>
	<link rel="stylesheet" href="/BloxSampler/styles/example.css" type="text/css">
	<blox:header/>
</head>

<body>

<h2>Asymmetric Report - Nested GridBlox Disabled</h2>

<br>

<blox:present id="AR2PresentBloxACS">
	<blox:dataLayout visible="false" />
	<blox:toolbar visible="false" />
	<blox:grid bloxEnabled="false" />
	<blox:chart visible="false" />
	<blox:data 
		dataSourceName="ACS"
		query="SELECT {([Time (Calendar)].[All Time (Calendar)].[2000], [Scenario].[Actual]), ([Time (Calendar)].[All Time (Calendar)].[2001], [Scenario].[Actual]), ([Time (Calendar)].[All Time (Calendar)].[2001], [Scenario].[Budget]), ( [Time (Calendar)].[All Time (Calendar)].[2001], [Scenario].[Revised])} ON COLUMNS, {[Products].[All Products], [Products].[All Products].[200  Chocolate Blocks], [Products].[All Products].[300  Chocolate Nuts], [Products].[All Products].[400  Specialties], [Products].[All Products].[100  Truffles]} ON ROWS FROM [qcc_2003] WHERE ([Measures].[Sales])" />
</blox:present>

<hr>
<a href="../../viewSource.jsp?file=ACS/Interacting/asymReportNestedBloxDisabled.jsp">View Source</a>
  
</body>

</html>
