package fastforward;

import com.alphablox.blox.form.FormEventListener;
import com.alphablox.blox.form.FormEvent;
import com.alphablox.blox.DataBlox;

/*
 * Copyright 2003 Alphablox Corporation. All rights reserved.
 * User: dmessink
 * Date: Apr 15, 2003 10:28:05 AM
 */

public class DataSourceFormBloxEventListener implements FormEventListener {
    private DataBlox dataBlox;

    public DataSourceFormBloxEventListener(DataBlox dataBlox) {
        this.dataBlox = dataBlox;
    }

    public void valueChanged(FormEvent event) throws Exception {
        String dataSourceName = event.getFormBlox().getFormValue();

        dataBlox.setDataSourceName(dataSourceName);

        if (dataSourceName != null)
            dataBlox.connect();
        else
            dataBlox.disconnect(true);
    }
}
