<%@ page session="false" contentType="text/javascript;charset=ISO-8859-1" %> 
<%--
  Licensed Materials - Property of IBM
  5724-E76, 5724-M24
  Copyright IBM Corporation 2001, 2009. All Rights Reserved.
  US Government Users Restricted Rights - Use, duplication or disclosure
  restricted by GSA ADP Schedule Contract with IBM Corp.
--%>
<%--
NOTE: By default, automatic reloading of theme and skin JSP files is turned off.
To see the changes you make to this file without stopping and restarting
the server, follow the instructions for enabling automatic JSP reloading
in the InfoCenter.
Do not enable automatic JSP reloading in a production environment
because performance will decrease.
NOTE: js.jsp uses the @include JSP directive to include jsp fragments
(denoted by the.jspf extension) which compiles these files into the servlet
for js.jsp. If you change these files, you must "touch" the version
of js.jsp which includes it to see your changes.
You can do this by editing js.jsp and saving it.
NOTE: Because the JavaScript does not change frequently, this JSP sets cache headers
to tell the browser not to reload this file for a number of days to improve
performance. During development of the JavaScript, this behavior means you
must clear your browser cache every time you modify the JavaScript. To make
development easier, comment out the include of js_cacheSettings.jspf
below. Then clear your browser cache one more time. At that point,
the browser should call this file on every page refresh.
--%> 
<%@ taglib uri="http://java.sun.com/jsp/jstl/core" prefix="c" %> 
<%@ taglib uri="http://java.sun.com/jstl/core_rt" prefix="c-rt" %> 
<%@ include file="./js_cacheSettings.jspf" %> 
<%@ include file="./browserDetection.jspf" %> 
<c:choose><c:when test="${browser eq 'ie'}"><%@ include file="../psw/com/ibm/psw/wcl/renderers/menu/html/context_ie.js" %> 
</c:when><c:otherwise><%@ include file="../psw/com/ibm/psw/wcl/renderers/menu/html/context_ns6.js" %> 
</c:otherwise></c:choose><%@ include file="js/Utilities.js" %> 
<%@ include file="js/AsynchronousContextMenu.js" %> 
<%@ include file="js/browserDimensions.js" %> 
<%@ include file="js/ElementJavascriptEventController.js" %> 
<%@ include file="js/flyout.js" %> 
<%@ include file="js/inlineShelf.js" %> 
<%@ include file="js/InlinePalettes.js" %> 
<%@ include file="js/IFrameLightbox.js" %> 
<c:import url="./monitor_dojo/dojo/dojo.js" />
<c:import url="./monitor_dojo/dijit/dijit.js" />
<c:import url="./monitor_dojo/ibm/ibmClientModel.js" />
<%@ include file="./js_extensions.jspf" %> 
<%--
since dojo.js is imported here instead of linked directly into the page
we set djConfig.baseUrl. After dojo loads it keeps a copy of djConfig, so it isn't needed
we delete the baseUrl, otherwise another dojo included in the page that doesn't override it
will inherit it and get confused with the theme's dojo --%> 
delete djConfig.baseUrl;
<% 
   String monitor_dojo = request.getRequestURI();
   monitor_dojo = monitor_dojo.substring(0,monitor_dojo.lastIndexOf("/")) + "/monitor_dojo";
%>
dojo.registerModulePath("ibm.portal.search","<%=monitor_dojo%>/ibm/portal/search");
