/** Licensed Materials - Property of IBM, 5724-E76 and 5724-E77, (C) Copyright IBM Corp. 2009 - All Rights reserved.  **/

if(!dojo._hasResource["com.ibm.data.resolver.tree.HiddenNodesFilterStrategy"]){ //_hasResource checks added by build. Do not use _hasResource directly in your code.
dojo._hasResource["com.ibm.data.resolver.tree.HiddenNodesFilterStrategy"] = true;
/*
 * @author Ben
 */ 
dojo.provide("com.ibm.data.resolver.tree.HiddenNodesFilterStrategy");

dojo.require("com.ibm.strategy.Strategy");

dojo.declare("com.ibm.data.resolver.tree.HiddenNodesFilterStrategy",
	com.ibm.strategy.Strategy,
	{
		extensions: ["modifyFetchQuery", "filterChildren"],
		
		modifyFetchQuery: function(query) {
			if(!query.mdname) query.mdname = [];
			query.mdname.push("com.ibm.portal.Hidden");
			return this.proceed(arguments);
		},
		
		filterChildren: function(parentItem, items) {
			items = this.proceed(arguments);
			var me = this.getStrategyContext().instance, id = me.getIdentity(parentItem);
			var loaded = items.loaded;
			items = dojo.filter(items, function(item){
				var isHidden = this.resolver.getValue(item, "metadata[com.ibm.portal.Hidden]$", "").toLowerCase();
				if(isHidden == "yes" || isHidden == "true") {
					return false;
				}
				else return true;
			}, me);
			items.loaded = loaded;
			return items;
		}
	}
);

}
