@echo off
REM ***************************************************************
REM  Licensed Material - Property of IBM
REM 
REM  5724-M24 
REM 
REM  (c) Copyright IBM Corp. 2009.  All rights reserved.
REM 
REM  US Government Users Restricted Rights - Use, duplication or
REM  disclosure restricted by GSA ADP Schedule Contract with IBM Corp.
REM ***************************************************************

chcp %WIN_JAVA_CODEPAGE%

setlocal

@rem The port number to be used to establish a connection between Alphablox Analytics and the PDF Report Server
set LISTEN_PORT=8178

@rem Path to the specified jars in the classpath can be found
set LIB=[washome]\Alphablox\lib

@rem Path and file to start Java
set JAVA="[washome]\java\bin\java.exe"

@rem Initial and maximum heap memory sizes
set HEAP=-Xms64M -Xmx256M

@rem set the CLASSPATH variable
set CLASSPATH=%LIB%\pdfserver.jar;%LIB%\bforeport.jar;%LIB%\xercesImpl.jar;%LIB%\xml-apis.jar;%LIB%\xalan.jar;%LIB%\icu4j-3_6.jar;

@rem Move to the directory that includes the DB2 Alphablox repository directory
@rem If you copy the repository folder into this folder (AlphabloxPDFRemote), remove the "cd.." below.
cd ..

@rem Start the PDF Report Server
%JAVA% %HEAP% com.alphablox.printprocessor.remote.PDFReportServer %LISTEN_PORT%

endlocal

chcp %WIN_DOS_CODEPAGE%
