<%@ page contentType="text/html; charset=UTF-8" %>
<%@ page import="java.lang.reflect.*,
                 java.util.Vector,
                 java.util.Enumeration" %>
 <%--

	/*
		This JSP will invoke the method and pass the arguments to the bean and then return a String version
		of the method return (if there is a return.

		DROP THIS JSP INTO THE APPLICATION DIRECTORY

		Expected URL parameters:
			bean - name of a bean registered as a session attribute
			method - name of a method
			arg1 ... argn - method arguments

		Example in JavaScript:
			function rmi( )
			{
				anyBlox.call( "rmi.jsp?bean=myServerBean&method=setValue&arg1=23" );
			}

		Example on server:
			Bean myServerBean = new MyBean();
			session.setAttribute( "myServerBean", myServerBean );

		Please note that this is not perfect, but it does facilitate a generic mechanism to call() from the client
		to a server-side bean method.

		Current restrictions:
		- called method signature is determined by the name and number of arguments
		- the first method encountered with the correct number of arguments is called
		- only primitives and wrappers should be used for input/output to the method
		- this JSP must be in the same application as the bean
	*/

	// This could be written as a servlet as well but that would complicate the install


--%>
 <%
    String beanName = request.getParameter( "bean" );
    String methodName = request.getParameter( "method" );

    if ( beanName == null || methodName == null )
        throw new Exception( "Bean name and method name must be supplied" );

    Object bean = session.getAttribute( beanName );

    if ( bean == null )
        throw new Exception( "Bean '" + beanName + "' not found in session" );

    Class clazz = bean.getClass();
    Method method = clazz.getMethod(methodName, new Class[]{HttpServletRequest.class, HttpServletResponse.class});

    if ( method == null )
        throw new Exception( "Method '" + methodName + "' not found on bean " + beanName );

    Object result;

    result = method.invoke( bean, new Object[] {request, response} );

    out.println(result);

    response.setHeader("Content-Type", "text/html;charset=UTF-8");
%>