<%@ page import="com.alphablox.server.Server,
                 com.alphablox.resource.AlphaBlox,
                 com.alphablox.server.request.DecodedServletRequest"%>
<%@ page import="com.alphablox.net.URLFactory"%>

<%@ page contentType="text/html; charset=UTF-8" %>

<%-- Import the Blox custom tag libraries --%>
<%@ taglib uri="bloxtld" prefix="blox"%>

<html>
<head>
<blox:header/>

<%
    // Because the incoming title is in UTF-8 and because the web server messes with
    // it, this code is neccessary to get a Unicode version of the title that can be
    // inserted into the HTML page (then translated back to UTF-8).
    DecodedServletRequest decodedRequest = new DecodedServletRequest( );
    decodedRequest.initialize(request);

    final String BLOX_NAME = decodedRequest.getParameter("bn");
    final String APP_NAME = decodedRequest.getParameter("an");

    final String REPORT_ID = request.getParameter("rid");
    final String THEME = request.getParameter("theme");
    String requestParams = "render=pdfreportfit&bn=" + BLOX_NAME + "&an=" + APP_NAME + "&rid=" + REPORT_ID + "&theme=" + THEME;
%>

  <title>Alphablox PDF Report</title>
  <meta http-equiv="Pragma" content="no-cache">
  <style>
    body {
        font: normal 10px Verdana, Helvetica, "Times New Roman";
        background-color: #E0E0E0;
        margin: 0px 0px 0px 0px;
    }

    .title {
      font-weight: bold;
      font-size: 16px;
    }

    td.waitText {
      padding-top: 10px;
      padding-bottom: 10px;
      text-align: center;
      font-weight: bold;
      font-size: 12px;
    }

    td.errorText {
      padding-left: 10px;
      font-size: 11px;
    }

    .closeButton {
      font-size: 10px;
    }

    A:link, A:visited, A:hover {
      color: red;
    }

  </style>
</head>

<script language="JavaScript1.2">
  returnValue = null;

  function handleError() {
    var features = "dialogWidth:650px;dialogHeight:400px;resizable:yes;center:yes;";

    showModalDialog("reportFitError.jsp", null, features);

    close();
  }

  function setWidth(width) {
    returnValue = width;

    close();
  }
</script>

<body>
  <table border="0" cellpadding="2" cellspacing="0" width="100%" height="100%">
    <tr>
      <td valign="top" nobr>&nbsp;<img src="<%= URLFactory.getServerURL( "/images/logo.gif")%>"/></td>
      <td valign="middle" align="right"><input id="closeButton" class="closeButton" style="visibility:hidden" type="button" value="Close Window" onClick="javascript:window.close()"/>&nbsp;&nbsp;</td>
    </tr>
      <td colspan="2" id="waitText" class="waitText"><%= AlphaBlox.getDefaultString(AlphaBlox.PDF_BEING_GENERATED) %></td>
    </tr>
  </table>

  <iframe style="visibility:hidden" width="400" height="100" src="reportFitIframe.jsp?<%=requestParams%>"></iframe>
</body>
</html>

