package com.ibm.alphablox.tooling.relational;

public class RMBConstants {
    public static final String base = "gifs/"; //$NON-NLS-1$
    
    public static final String SINGLE_QUOTES_GIF = base+"singleQuotes.gif"; //$NON-NLS-1$
    public static final String DOUBLE_QUOTES_GIF = base + "doubleQuotes.gif"; //$NON-NLS-1$
    public static final String ARW_RIGHT_GIF = base + "arwRight.gif"; //$NON-NLS-1$
    public static final String ARW_LEFT_GIF = base + "arwLeft.gif"; //$NON-NLS-1$
    public static final String DATAVALUE_GIF = base + "datavalue.gif"; //$NON-NLS-1$
    public static final String COLUMN_DIS_GIF = base + "column_dis.gif"; //$NON-NLS-1$
    public static final String COLUMN_GIF = base + "column.gif"; //$NON-NLS-1$
    public static final String TABLE_GIF = base + "table.gif"; //$NON-NLS-1$
    public static final String TABLE_DIS_GIF = base + "table_dis.gif"; //$NON-NLS-1$
    public static final String PERIOD_GIF = base + "period.gif"; //$NON-NLS-1$
    public static final String SCHEMA_GIF = base + "schema.gif"; //$NON-NLS-1$
    
    //Actions
    public static final String ACTION_INSERT = "insert"; //$NON-NLS-1$
    public static final String ACTION_REMOVE = "remove"; //$NON-NLS-1$
    public static final String ACTION_DBL_QUOTE = "doubleQuote"; //$NON-NLS-1$
    public static final String ACTION_SNGL_QUOTE = "singleQuote"; //$NON-NLS-1$
    public static final String ACTION_NEW_QUERY = "newQuery"; //$NON-NLS-1$
    
    public static final String SQL_EDITOR_ID = "sqlEditor"; //$NON-NLS-1$
    public static final String DBFRAME_TREE_ID = "DBFrameTree"; //$NON-NLS-1$
    public static final String TREE_CONTAINER_ID = "TreeContainer"; //$NON-NLS-1$
    public static final String SQLCONTAINER_ID = "SQLContainer"; //$NON-NLS-1$
    public static final String OPERATOR_CONTAINER_ID = "OperatorContainer"; //$NON-NLS-1$
    public static final String DBITEM_INFO_CONTAINER_ID = "DBItemInfoContainer"; //$NON-NLS-1$
    public static final String DEFAULT_NEW_QUERY = "Select * \nFrom \nWhere \nOrder By 1"; //$NON-NLS-1$
    public static final String ACTION_VALIDATE = "validate"; //$NON-NLS-1$
    public static final String SAMPLE_VALUES = "sample"; //$NON-NLS-1$
    public static final String SAMPLE_INSERT = "insertSample"; //$NON-NLS-1$
    public static final String DBITEM_INFO_ID = "DBItemInfo"; //$NON-NLS-1$
    public static final String COLUMN_INSERT_POLICY = "policyList"; //$NON-NLS-1$

    public static final int TABLE_ALIAS_POLICY = 1;

    public static final int TABLE_NODE_LEVEL = 2;

    public static final int COLUMN_NODE_LEVEL = 3;

    public static final int SCHEMA_NODE_LEVEL = 1;

    public static final String ENCLOSE_BRACKET = "Bracket"; //$NON-NLS-1$
    public static final String ENCLOSE_DOUBLE_QUOTE = "DoubleQuote"; //$NON-NLS-1$
    public static final String ENCLOSE_SINGLE_QUOTE = "SingleQuote"; //$NON-NLS-1$
    public static final String INSERT_SCHEMA = "Schema"; //$NON-NLS-1$
    public static final String INSERT_TABLE = "Table"; //$NON-NLS-1$
    public static final String INSERT_COL = "Col"; //$NON-NLS-1$
    public static final String GROUP_NAME_ENCLOSE_STYLE = "EncloseStyle"; //$NON-NLS-1$
    public static final String GROUP_NAME_INSERT_POLICY = "InsertPolicy"; //$NON-NLS-1$

    public static final String ENCLOSE_NONE = "NONE"; //$NON-NLS-1$

    public static final String ErrorLogTitle = "RMB"; //$NON-NLS-1$
    
    public static final String FETCH_ROWS_ONLY = "  FETCH FIRST 100 ROWS ONLY"; //$NON-NLS-1$

    public static final int VALIDATE = 1;

    public static final int SAMPLE = 0;

    public static final String RADIO_CONTAINER_ID = "RadioContainer";

    public static final String RADIO_USE_ALIAS = "UseAlias";

    public static final String GROUP_TABLE_ALIAS = "TableAlias";

    public static final String DONT_USE_ALIAS = "DontUseAlias";
}
