<%@ page contentType="text/html; charset=UTF-8" %>

<%@ taglib uri="bloxtld" prefix="blox" %>

<blox:grid id="cwGridACS"
	visible="false"
	columnHeadersWrapped="true"
 	defaultCellFormat="#,###.##K">

	<blox:data
    	dataSourceName="ACS"
    	query=" SELECT
 DISTINCT( {[Locations].[All Locations], Descendants([Locations].[All Locations].[Central]), 
Descendants([Locations].[All Locations].[East])} )  ON AXIS(0)
, DISTINCT( crossjoin ( {[Time (Calendar)].[Month].AllMembers}, {[Scenario].[Actual]}) ) ON AXIS(1)
FROM [qcc_2003]" />

</blox:grid>

<html>

<head>
<title>Column Wrapping</title>
<blox:header />
<link rel="stylesheet" href="/BloxSampler/styles/example.css" type="text/css">
</head>

<body>
<h2>Column Wrapping</h2>
<p>Example of column wrapping enabled using <code>columnHeadersWrapped</code> property. </p>
<br>

<blox:display bloxRef="cwGridACS"
	width="100%"
 	height="90%" />

<hr>
<a href="../../viewSource.jsp?file=ACS/Presenting/columnWrapping.jsp">View Source</a>

</body>

</html>