package fastforward;

import java.util.Vector;

/**
 * Copyright 2002 Alphablox Corporation. All rights reserved.
 * User: ceubanks
 * Date: Dec 5, 2002 1:38:32 PM
 */
public interface IConfiguration extends ParameterSupport {

    void init(AppContextImpl context);

    AppContextImpl getAppContext();

    void readConfig() throws XmlParseException;

    void saveConfig() throws Exception;

    Vector getReports();

    ReportImpl getReport(String reportName);

    NavigationTree getNavigationTree();

    ParameterSet getParameterSet();

    TemplateImpl getTemplate(String templateName) throws TemplateException;

    void addReport(ReportImpl report);

    void deleteReport(String id);
}
