#  Licensed Materials - Property of IBM
#  5724-M24
#  Copyright IBM Corporation 2010. All Rights Reserved.
#  US Government Users Restricted Rights - Use, duplication or disclosure
#  restricted by GSA ADP Schedule Contract with IBM Corp.
#

import os
import sys
import java
from java.io import ByteArrayOutputStream 

print "Staring Deploy Alphablox"
wasRoot       = sys.argv[0]
nodeType      = sys.argv[1]
clusterName   = sys.argv[2]
serverName    = sys.argv[3]
nodeName      = sys.argv[4]
schema        = sys.argv[5]
adminUsername = sys.argv[6]
adminPassword = sys.argv[7]

# execfile(wasRoot+'/profileTemplates/wbmdashbd/actions/scripts/common/MonitorServerVals_Preset.py')
print "nodeType="+nodeType
print "adminUsername="+adminUsername
print "serverName="+serverName
print "clusterName="+clusterName
print "nodeName="+nodeName
print "schema="+schema

rc = 0
try:
    optList = []    
    if(nodeType[0:1] == "d"):
        optList=["-cluster",clusterName,"-schema",schema,"-wasName",adminUsername,"-wasPassword",adminPassword]
    else:
        optList=["-server",serverName,"-node",nodeName,"-schema",schema,"-wasName",adminUsername,"-wasPassword",adminPassword]
    print "\nDeploying Alphablox Service with the following arguments"
    print optList
    AdminTask.wbmDeployAlphabloxService(optList)
    AdminConfig.save()
    print "Done deploying Alphablox "
except java.lang.Exception,e:    
    rc = -1
    print "1 FatalErrors:" 
    print " Failed to deploy Alphablox:",e
    raise


