<?xml version="1.0" encoding="ISO-8859-1"?>
<xsl:stylesheet version="1.0"
    xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
    xmlns:thr="http://purl.org/syndication/thread/1.0" 
	xmlns:atom="http://www.w3.org/2005/Atom" 
	xmlns:xhtml="http://www.w3.org/1999/xhtml" 
	xmlns:model="http://www.ibm.com/xmlns/prod/websphere/portal/v6.0.1/portal-model-elements" 
	xmlns:base="http://www.ibm.com/xmlns/prod/websphere/portal/v6.0/ibm-portal-composite-base" 
	xmlns:portal="http://www.ibm.com/xmlns/prod/websphere/portal/v6.0.1/portal-model" 
	xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance">
<xsl:output method='text' version='1.0' encoding='UTF-8' indent='yes'/>

<xsl:key name="children" match="atom:entry" use="thr:in-reply-to/@portal:uri"/>

<xsl:template match="/atom:feed">[<xsl:apply-templates select="atom:entry" />]</xsl:template>

<xsl:template match="atom:entry">{ objectID: '<xsl:value-of select="atom:id" />', uniqueName: '<xsl:value-of select="atom:id/@portal:uniquename" />' },</xsl:template>

<xsl:template match="atom:entry[last()]">{ objectID: '<xsl:value-of select="atom:id" />', uniqueName: '<xsl:value-of select="atom:id/@portal:uniquename" />' }</xsl:template>

</xsl:stylesheet>
