<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
    xmlns:state="http://www.ibm.com/xmlns/prod/websphere/portal/v6.1/portal-state">
	
	<xsl:output method="xml" version="1.0" encoding="UTF-8" indent="yes"/>
	
	<xsl:param name="id" />
	
	<xsl:template match="state:root">
		<xsl:copy>
			<xsl:copy-of select="@*"/>
			<xsl:apply-templates />
		</xsl:copy>
	</xsl:template>

	<xsl:template match="state:state[@type='navigational']">
		<xsl:copy>
			<xsl:copy-of select="@*"/>
			<xsl:copy-of select="state:portlet[@id=$id]"/>
		</xsl:copy>
	</xsl:template>

	<!-- make sure that other text nodes are not included -->
	<xsl:template match="text()"/>

</xsl:stylesheet>
